Gentoo Archives: gentoo-user

From: Raffaele BELARDI <raffaele.belardi@××.com>
To: "gentoo-user@l.g.o" <gentoo-user@l.g.o>
Subject: [gentoo-user] block in emerge
Date: Wed, 07 Jan 2015 14:12:15
Message-Id: 54AD3EE7.3000202@st.com
1 I have a block, I'm not looking for a solution yet, just a correct
2 interpretation of the error messages:
3
4 [blocks B ] <x11-base/xorg-server-1.16.2-r1
5 ("<x11-base/xorg-server-1.16.2-r1" is blocking
6 app-admin/eselect-opengl-1.3.1-r1)
7
8 * Error: The above package list contains packages which cannot be
9 * installed at the same time on the same system.
10
11 (x11-base/xorg-server-1.12.4-r2:0/1.12.4::gentoo, installed) pulled in by
12 x11-base/xorg-server[xorg] required by
13 (x11-drivers/xf86-video-vesa-2.3.3:0/0::gentoo, installed)
14 >=x11-base/xorg-server-1.0.99 required by
15 (x11-drivers/xf86-video-vesa-2.3.3:0/0::gentoo, installed)
16 (snip)
17
18 (app-admin/eselect-opengl-1.3.1-r1:0/0::gentoo, ebuild scheduled for
19 merge) pulled in by
20 >=app-admin/eselect-opengl-1.3.0 required by
21 (x11-proto/glproto-1.4.17-r1:0/0::gentoo, ebuild scheduled for merge)
22 >=app-admin/eselect-opengl-1.3.0 required by
23 (media-libs/mesa-10.3.5-r1:0/0::gentoo, ebuild scheduled for merge)
24 >=app-admin/eselect-opengl-1.0.8 required by
25 (x11-base/xorg-server-1.12.4-r2:0/1.12.4::gentoo, installed)
26
27 Looks to me the message is wrong. Shouldn't the first line read
28 ("!<x11-base/xorg-server-1.16.2-r1" is blocking
29 app-admin/eselect-opengl-1.3.1-r1)? Note the leading '!'
30
31 The ebuild in fact contains:
32 RDEPEND=">=app-admin/eselect-1.2.4
33 !<media-libs/mesa-10.3.4-r1
34 !=media-libs/mesa-10.3.5
35 !<x11-proto/glproto-1.4.17-r1
36 !<x11-base/xorg-server-1.16.2-r1
37 ....
38
39 thanks,
40
41 raffaele

Replies

Subject Author
Re: [gentoo-user] block in emerge Alan McKinnon <alan.mckinnon@×××××.com>